Subject: Re: bug#60990: 29.0.60; New seq release 2.24

From: Daniel Mendler <[email-masked]>
Date: Sat, 9 Sep 2023 18:07:54 +0200

On 9/9/23 17:47, Stefan Monnier wrote:
>> It is a bit unfortunate that the code has to be duplicated but it may be
>> a bit too early to drop Emacs 24 support from seq altogether?
> 
> In my experience, the better way to handle backward compatibility is in
> a reactive rather than proactive way, especially when talking about
> compatibility with 10 year old software.

Actually I don't disagree. It looked as if the seq package aims to
provide all seq functions on all supported Emacs versions. Compat almost
fully supports 24.4 and newer, which works surprisingly well. Philip
initially even added support for 24.3 but this led to serious complications.

Daniel